Bug 1475872 - Review Request: golang-github-golang-sync - Go concurrency primitives
Review Request: golang-github-golang-sync - Go concurrency primitives
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Athos Ribeiro
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1473314
  Show dependency treegraph
 
Reported: 2017-07-27 09:58 EDT by Robert-André Mauchin
Modified: 2017-09-30 02:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-19 19:22:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
athoscribeiro: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 3 Robert-André Mauchin 2017-09-05 10:41:10 EDT
How is it going with this couple of reviews, Athos?
Comment 4 Athos Ribeiro 2017-09-06 11:57:41 EDT
Hi Robert,

Sorry for the wait here, I have been quite busy the past few days!

Here we go:

- The package owns the /usr/share/gocode/src/golang.org/x directory, which
belongs to the golang package. While looking into that, I also realized that
one of my packages, golang.org/x/image, also does so. I will fix that ASAP. I
also found out that golang.org/x/text does not own
/usr/share/gocode/src/golang.org/x/text (I will also send a PR for that).

Any comments on that? Other than that, the package looks good

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/golang.org/x(golang)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-golang-sync-devel-0-0.1.20170517.gitf52d181.fc28.noarch.rpm
          golang-github-golang-sync-unit-test-devel-0-0.1.20170517.gitf52d181.fc28.x86_64.rpm
          golang-github-golang-sync-0-0.1.20170517.gitf52d181.fc28.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-golang-sync-devel (rpmlib, GLIBC filtered):
    golang(golang.org/x/net/context)

golang-github-golang-sync-unit-test-devel (rpmlib, GLIBC filtered):
    golang(golang.org/x/sync/errgroup)
    golang(golang.org/x/sync/syncmap)
    golang-github-golang-sync-devel



Provides
--------
golang-github-golang-sync-devel:
    golang(golang.org/x/sync/errgroup)
    golang(golang.org/x/sync/semaphore)
    golang(golang.org/x/sync/singleflight)
    golang(golang.org/x/sync/syncmap)
    golang-github-golang-sync-devel

golang-github-golang-sync-unit-test-devel:
    golang-github-golang-sync-unit-test-devel
    golang-github-golang-sync-unit-test-devel(x86-64)



Source checksums
----------------
https://github.com/golang/sync/archive/f52d1811a62927559de87708c8913c1650ce4f26/sync-f52d181.tar.gz :
  CHECKSUM(SHA256) this package     : 25b869d922114e49906f2d9559c86b23b54f753986e58546d4ad816f426a9ad2
  CHECKSUM(SHA256) upstream package : 25b869d922114e49906f2d9559c86b23b54f753986e58546d4ad816f426a9ad2
Comment 5 Robert-André Mauchin 2017-09-06 14:10:17 EDT
It's not a problem if multiple packages own a same directory. It will then be removed when all packages owning it are uninstalled.
Comment 6 Athos Ribeiro 2017-09-07 14:25:54 EDT
This actually  raised a concern about golang packaging:

- the golang package is not required by golang-*-devel packages, meaning that the /usr/share/gocode/src/foo/ directories would not be removed on the "foo" level after such package is removed (although I do not see the point on installing such package without installing the golang package as well).

About the co-ownership of directories, apparently there was a change on the packaging guidelines. There used to be an entry there discouraging directory co-owership in such cases (where perl packages were an exeption). Since I could not find such entry, I am concluding the review.

Package looks good. Approved
Comment 7 Gwyn Ciesla 2017-09-11 10:15:32 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-golang-sync
Comment 8 Fedora Update System 2017-09-11 14:16:37 EDT
golang-github-golang-sync-0-0.1.20170517gitf52d181.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3653be7517
Comment 9 Fedora Update System 2017-09-11 14:24:29 EDT
golang-github-golang-sync-0-0.1.20170517gitf52d181.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2cecd82564
Comment 10 Fedora Update System 2017-09-11 14:31:47 EDT
golang-github-golang-sync-0-0.1.20170517gitf52d181.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3ad5b8188f
Comment 11 Fedora Update System 2017-09-11 17:57:01 EDT
golang-github-golang-sync-0-0.1.20170517gitf52d181.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3653be7517
Comment 12 Fedora Update System 2017-09-11 21:23:57 EDT
golang-github-golang-sync-0-0.1.20170517gitf52d181.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2cecd82564
Comment 13 Fedora Update System 2017-09-11 22:21:21 EDT
golang-github-golang-sync-0-0.1.20170517gitf52d181.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3ad5b8188f
Comment 14 Fedora Update System 2017-09-19 19:22:39 EDT
golang-github-golang-sync-0-0.1.20170517gitf52d181.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-09-20 06:22:45 EDT
golang-github-golang-sync-0-0.1.20170517gitf52d181.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2017-09-30 02:23:58 EDT
golang-github-golang-sync-0-0.1.20170517gitf52d181.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.